Bug 1258414 - Enable AIO support in nginx for AArch64
Enable AIO support in nginx for AArch64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nginx (Show other bugs)
24
aarch64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2015-08-31 06:31 EDT by Marcin Juszkiewicz
Modified: 2016-05-12 12:12 EDT (History)
8 users (show)

See Also:
Fixed In Version: nginx-1.10.0-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:12:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec change (1.09 KB, text/plain)
2015-08-31 06:31 EDT, Marcin Juszkiewicz
no flags Details

  None (edit)
Description Marcin Juszkiewicz 2015-08-31 06:31:24 EDT
Created attachment 1068588 [details]
spec change

Description of problem:

Nginx disabled AIO on AArch64 when support for this architecture was improving here and there but not yet in aio land. But time passed and now nginx builds on AArch64 with AIO enabled.

Version-Release number of selected component (if applicable):

1.8.0-11

How reproducible:

always

Steps to Reproduce:
1. remove aio guard
2. arm-koji build rawhide --scratch nginx*srpm


http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3154126 is scratch build
Comment 1 Jan Kurik 2016-02-24 08:41:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Update System 2016-05-08 19:47:08 EDT
nginx-1.10.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d7f20e326d
Comment 3 Fedora Update System 2016-05-08 20:54:18 EDT
nginx-1.10.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d7f20e326d
Comment 4 Fedora Update System 2016-05-12 12:12:22 EDT
nginx-1.10.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.